import { axios } from '@/utils/request'

// 列表
export const settleExpenseQuery = (params) => {
  return axios({
    url: `settle/expense/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}

// 不带分页列表
export const settleExpenseQueryAll = (params) => {
  return axios({
    url: `settle/expense/queryList`,
    data: params,
    method: 'post'
  })
}

// 新建
export const settleExpenseSave = (params) => {
  return axios({
    url: `settle/expense/save`,
    data: params,
    method: 'post'
  })
}
 
// 费用列表汇总
export const settleExpenseQuerySum = (params) => {
  return axios({
    url: `settle/expense/querySum`,
    data: params,
    method: 'post'
  })
}
 
// 详情
export const findExpenseDetail = (params) => {
  return axios({
    url: `settle/expense/findById/${params.id}`,
    method: 'get'
  })
}

// 删除
export const delExpense = (params) => {
  return axios({
    url: `settle/expense/delete/${params.id}`,
    method: 'get'
  })
}

// 审核
export const auditExpense = (params) => {
  return axios({
    url: `settle/expense/audit/${params.id}`,
    method: 'get'
  })
}